%global module_name musicbrainzngs
%{!?python3_pkgversion: %global python3_pkgversion 3}

Name:           python-musicbrainzngs
Version:        0.5
Release:        6%{?dist}
Summary:        Python bindings for MusicBrainz NGS webservice

License:        BSD and ISC
URL:            https://github.com/alastair/python-musicbrainz-ngs
Source0:        https://pypi.python.org/packages/source/m/%{module_name}/%{module_name}-%{version}.tar.gz

BuildArch:      noarch

%description
This library implements webservice bindings for the MusicBrainz NGS site, also
known as /ws/2.

For more information on the MusicBrainz webservice see:
  http://wiki.musicbrainz.org/XML_Web_Service

%package     -n python2-%{module_name}
Summary:        Python 2 bindings for MusicBrainz NGS webservice
%{?python_provide:%python_provide python2-%{module_name}}
BuildRequires:  python2-devel
BuildRequires:  python2-nose
Obsoletes:      python-%{module_name} < 0.5-4

%description -n python2-%{module_name}
This library implements Python 2 webservice bindings for the
MusicBrainz NGS site, also known as /ws/2.

For more information on the MusicBrainz webservice see:
  http://wiki.musicbrainz.org/XML_Web_Service

%package     -n python%{python3_pkgversion}-%{module_name}
Summary:        Python %{python3_pkgversion} bindings for MusicBrainz NGS webservice
%{?python_provide:%python_provide python%{python3_pkgversion}-%{module_name}}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-nose

%description -n python%{python3_pkgversion}-%{module_name}
This library implements Python %{python3_pkgversion} webservice bindings for the
MusicBrainz NGS site, also known as /ws/2.

For more information on the MusicBrainz webservice see:
  http://wiki.musicbrainz.org/XML_Web_Service

%prep
%setup -qn %{module_name}-%{version}
chmod a-x examples/*.py
sed -i '1{\@^#!/usr/bin/env python@d}' examples/*.py


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%check
rm -rf musicbrainzngs
export LANG=en_US.UTF-8
PYTHONPATH=%{buildroot}%{python2_sitelib} nosetests-%{python2_version}
PYTHONPATH=%{buildroot}%{python3_sitelib} nosetests-%{python3_version}

 
%files -n python2-%{module_name}
%license COPYING
%doc README.md docs examples
%{python2_sitelib}/*

%files -n python%{python3_pkgversion}-%{module_name}
%license COPYING
%doc README.md docs examples
%{python3_sitelib}/*


%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Nov 27 2015 Ville Skyttä <ville.skytta@iki.fi> - 0.5-4
- Add python3 subpackage, update to current python packaging guidelines

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Oct 07 2014 Andy Lutomirski <luto@mit.edu> - 0.5-2
- Remove BR: python2-devel

* Tue Oct 07 2014 Andy Lutomirski <luto@mit.edu> - 0.5-1
- Bump to 0.5.

* Fri Sep 13 2013 Ian Weller <iweller@redhat.com> - 0.4-1
- Initial package build
